/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.apc.model.ws.parsed;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author Carlos Janitzio Zavala Lopez <janitzio.zavala@arrebol.com.mx>
 */
@XmlRootElement(name = "renovationWithEndorsement")
public class RenovationWithEndorsementJaxb {

    private String loan;
    private String credit;
    private String user;
    private String office;
    private double amount;
    private String currentOwner;
    private PersonJaxb endorsement;
    private boolean hasPaymentToday;

    public RenovationWithEndorsementJaxb() {
    }

    @XmlElement(name = "loan")
    public String getLoan() {
        return loan;
    }

    public void setLoan(String loan) {
        this.loan = loan;
    }

    @XmlElement(name = "credit")
    public String getCredit() {
        return credit;
    }

    public void setCredit(String credit) {
        this.credit = credit;
    }

    @XmlElement(name = "user")
    public String getUser() {
        return user;
    }

    public void setUser(String user) {
        this.user = user;
    }

    @XmlElement(name = "office")
    public String getOffice() {
        return office;
    }

    public void setOffice(String office) {
        this.office = office;
    }

    @XmlElement(name = "amount")
    public double getAmount() {
        return amount;
    }

    public void setAmount(double amount) {
        this.amount = amount;
    }

    @XmlElement(name = "currentOwner")
    public String getCurrentOwner() {
        return currentOwner;
    }

    public void setCurrentOwner(String currentOwner) {
        this.currentOwner = currentOwner;
    }

    @XmlElement(name = "endorsement")
    public PersonJaxb getEndorsement() {
        return endorsement;
    }

    public void setEndorsement(PersonJaxb endorsement) {
        this.endorsement = endorsement;
    }

    @XmlElement(name = "hasPaymentToday")
    public boolean isHasPaymentToday() {
        return hasPaymentToday;
    }

    public void setHasPaymentToday(boolean hasPaymentToday) {
        this.hasPaymentToday = hasPaymentToday;
    }

}
